zip.file.extract {base} | R Documentation

## Extract File from a Zip Archive

### Description

This will extract the file named `file` from the zip archive, if possible, and write it in a temporary location.

### Usage

    zip.file.extract(file, zipname="R.zip")

### Arguments

`file` | A file name.
`zipname` | The file name of a `zip` archive.

### Details

The file will be extracted if it is in the archive and any required `unzip` utility is available. It will probably be extracted to the directory used by `tempfile`.

### Value

The name of the original or extracted file.

### Warning

This function is intended for internal use only: it may be altered at any time, and may differ between platforms. Do NOT use in user code.

### Note

The implementation differs by platform: it might do nothing.

### Author(s)

B. D. Ripley

[Package Contents]